libstdc++: __gnu_pbds::detail::ranged_probe_fn< Key, null_type, _Alloc, Comb_Probe_Fn, null_type, false > Class Template Reference

libstdc++

__gnu_pbds::detail::ranged_probe_fn< Key, null_type, _Alloc, Comb_Probe_Fn, null_type, false > Class Template Reference

`#include <ranged_probe_fn.hpp>`

## Protected Types
typedef Comb_Probe_Fn | comb_probe_fn_base
typedef rebind_traits< _Alloc, Key >::const_reference | key_const_reference
typedef _Alloc::size_type | size_type

## Protected Member Functions
| ranged_probe_fn (size_type size)
| ranged_probe_fn (size_type, const Comb_Probe_Fn &r_comb_probe_fn)
| ranged_probe_fn (size_type, const null_type &, const Comb_Probe_Fn &r_comb_probe_fn, const null_type &)
void | swap (ranged_probe_fn &other)

## Detailed Description

template<typename Key, typename _Alloc, typename Comb_Probe_Fn>
class __gnu_pbds::detail::ranged_probe_fn< Key, null_type, _Alloc, Comb_Probe_Fn, null_type, false >

Specialization 3 and 4 The client does not supply a hash function or probe function, and requests that hash values not be stored.

Definition at line 296 of file ranged_probe_fn.hpp.

## Member Typedef Documentation

## ◆ comb_probe_fn_base

template<typename Key, typename _Alloc, typename Comb_Probe_Fn>

typedef Comb_Probe_Fn __gnu_pbds::detail::ranged_probe_fn< Key, null_type, _Alloc, Comb_Probe_Fn, null_type, false >::comb_probe_fn_base
| protected

Definition at line 302 of file ranged_probe_fn.hpp.

## ◆ key_const_reference

template<typename Key, typename _Alloc, typename Comb_Probe_Fn>

typedef rebind_traits<_Alloc,Key>::const_reference __gnu_pbds::detail::ranged_probe_fn< Key, null_type, _Alloc, Comb_Probe_Fn, null_type, false >::key_const_reference
| protected

Definition at line 304 of file ranged_probe_fn.hpp.

## ◆ size_type

template<typename Key, typename _Alloc, typename Comb_Probe_Fn>

typedef _Alloc::size_type __gnu_pbds::detail::ranged_probe_fn< Key, null_type, _Alloc, Comb_Probe_Fn, null_type, false >::size_type
| protected

Definition at line 301 of file ranged_probe_fn.hpp.

## Constructor & Destructor Documentation

## ◆ ranged_probe_fn() [1/3]

template<typename Key, typename _Alloc, typename Comb_Probe_Fn>

__gnu_pbds::detail::ranged_probe_fn< Key, null_type, _Alloc, Comb_Probe_Fn, null_type, false >::ranged_probe_fn | ( | size_type | size | ) |
| inlineprotected

Definition at line 306 of file ranged_probe_fn.hpp.

## ◆ ranged_probe_fn() [2/3]

template<typename Key, typename _Alloc, typename Comb_Probe_Fn>

__gnu_pbds::detail::ranged_probe_fn< Key, null_type, _Alloc, Comb_Probe_Fn, null_type, false >::ranged_probe_fn | ( | size_type | ,
|  | const Comb_Probe_Fn & | r_comb_probe_fn )
| inlineprotected

Definition at line 309 of file ranged_probe_fn.hpp.

## ◆ ranged_probe_fn() [3/3]

template<typename Key, typename _Alloc, typename Comb_Probe_Fn>

__gnu_pbds::detail::ranged_probe_fn< Key, null_type, _Alloc, Comb_Probe_Fn, null_type, false >::ranged_probe_fn | ( | size_type | ,
|  | const null_type & | ,
|  | const Comb_Probe_Fn & | r_comb_probe_fn,
|  | const null_type & | )
| inlineprotected

Definition at line 313 of file ranged_probe_fn.hpp.

## Member Function Documentation

## ◆ swap()

template<typename Key, typename _Alloc, typename Comb_Probe_Fn>

void __gnu_pbds::detail::ranged_probe_fn< Key, null_type, _Alloc, Comb_Probe_Fn, null_type, false >::swap | ( | ranged_probe_fn< Key, null_type, _Alloc, Comb_Probe_Fn, null_type, false > & | other | ) |
| inlineprotected

Definition at line 320 of file ranged_probe_fn.hpp.

The documentation for this class was generated from the following file:

- ranged_probe_fn.hpp